{#
/**
 * @file
 * Default theme implementation for a breadcrumb trail.
 *
 * Available variables:
 * - breadcrumb: Breadcrumb trail items.
 *
 * @ingroup templates
 */
#}

{% set urlNotToShowBreadcrumb = ['create-guest', 'view-guest', 'edit-guest'] %}
{% set showBreadcrumb = true %}
{% for url in urlNotToShowBreadcrumb %}
  {% if url in url('<current>')|render|render %}
    {% set showBreadcrumb = false %}
  {% endif %}
{% endfor %}

{% if breadcrumb and showBreadcrumb %}
  <ol class="breadcrumb">
    {% set breadcrumbElement = [] %}
    {% for item in breadcrumb %}
      {% if item.text not in breadcrumbElement %}
        <li {{ item.attributes }}>
          {% if item.url %}
            <a href="{{ item.url }}">{{ item.text }}</a>
          {% else %}
            {{ item.text }}
          {% endif %}
        </li>
        {% set breadcrumbElement = breadcrumbElement|merge([item.text]) %}
      {% endif %}
    {% endfor %}
  </ol>
{% endif %}
